## org.w3c.jigadmin.gui.slist
Interface ServerListModelInterface

All Known Implementing Classes:
  ServerListModel

public abstract interface ServerListModelInterface

Interface for ServerList model.

Field Summary
`static java.lang.String` | `ADMIN_SERVER_NAME` The nam eof the admin server.

Method Summary
`RemoteResourceWrapper` | `getServer(java.lang.String name)` Get the server with the given name.
`java.lang.String[]` | `getServers()` Returns a array of the server names.

Field Detail

### ADMIN_SERVER_NAME

    public static final java.lang.String ADMIN_SERVER_NAME

  The nam eof the admin server.

Method Detail

### getServers

    public java.lang.String[] getServers()

  Returns a array of the server names.
  Returns:
    an array of String

### getServer

    public RemoteResourceWrapper getServer(java.lang.String name)

  Get the server with the given name.
  Parameters:
    `name` - the server name
  Returns:
    The RemoteResourceWrapper of the server.